Bug 1414149 - published docker content views are missing docker tags
Summary: published docker content views are missing docker tags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: 1417136
TreeView+ depends on / blocked
 
Reported: 2017-01-17 21:56 UTC by Tom McKay
Modified: 2020-04-15 15:06 UTC (History)
4 users (show)

Fixed In Version: rubygem-katello-3.0.0.97-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1417136 (view as bug list)
Environment:
Last Closed: 2017-03-06 08:37:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (64.36 KB, image/png)
2017-02-09 21:24 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18110 0 Normal Closed published docker content views are missing docker tags 2020-06-04 14:32:48 UTC
Red Hat Product Errata RHBA-2017:0447 0 normal SHIPPED_LIVE Satellite 6.2.8 Async Bug Release 2017-03-06 13:23:41 UTC

Description Tom McKay 2017-01-17 21:56:10 UTC
When a CV with a docker repo in it is published, only the manifests are being indexed. A katello:reimport will correct the info.

Comment 1 Tom McKay 2017-01-17 21:56:13 UTC
Created from redmine issue http://projects.theforeman.org/issues/18110

Comment 2 Tom McKay 2017-01-17 21:56:17 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 4 pm-sat@redhat.com 2017-01-17 23:18:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18110 has been resolved.

Comment 5 jcallaha 2017-01-18 14:20:32 UTC
What are your expected verification steps for this one? Also what is the difference from current behavior? I am able to see that the published content view has a specific number of manifests as well as a number of tags.

3 Docker Manifests
2 Docker Tags

Comment 6 Justin Sherrill 2017-01-18 15:32:15 UTC
Jake, Hrmm, when i did the following:

1.  Created and synced docker repo 
2.  Created a content view, added that docker repo to the view
3.  Published the content view
4.  Navigated to Content > Content Views > click my view > click the version > click 'Docker Repos'

I see the repo that was added (it actually shows up twice), and it shows ~50 docker manifests, but zero tags.

Comment 7 jcallaha 2017-01-18 16:43:27 UTC
Justin,

This is interesting, when following the steps in https://bugzilla.redhat.com/show_bug.cgi?id=1394313#c7 I see the tags in the content view. However, if I sync down from dockerhub the content view shows 0 tags even though the repo itself say 4. Will ACK this and look forward to the fix in 6.2.8!

Comment 8 jcallaha 2017-02-09 21:23:42 UTC
Verified in Satellite 6.2.8 Snap 1

The tags for both local and content sync'd from dockerhub are shown in the tag count when published in a content view. See attached screenshot for verification.

Comment 9 jcallaha 2017-02-09 21:24:17 UTC
Created attachment 1248906 [details]
verification screenshot

Comment 11 errata-xmlrpc 2017-03-06 08:37:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0447


Note You need to log in before you can comment on or make changes to this bug.